- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::MetaObjectBuilder Class Reference

`#include <metaobject.hpp>`

## Public Member Functions
| MetaObjectBuilder ()
void | setDescription (const std::string &desc)
MemberAddInfo | addMethod (const qi::Signature &sigret, const std::string &name, const qi::Signature &signature, int id=-1)
MemberAddInfo | addMethod (MetaMethodBuilder &builder, int id=-1)
MemberAddInfo | addSignal (const std::string &name, const qi::Signature &sig, int id=-1)
MemberAddInfo | addProperty (const std::string &name, const qi::Signature &sig, int id=-1)
qi::MetaObject | metaObject ()

## Detailed Description

Definition at line 161 of file metaobject.hpp.

## Constructor & Destructor Documentation

qi::MetaObjectBuilder::MetaObjectBuilder | ( |  | ) |

## Member Function Documentation

MemberAddInfo qi::MetaObjectBuilder::addMethod | ( | const qi::Signature & | sigret,
|  | const std::string & | name,
|  | const qi::Signature & | signature,
|  | int | id = `-1`
| ) |  |

MemberAddInfo qi::MetaObjectBuilder::addMethod | ( | MetaMethodBuilder & | builder,
|  | int | id = `-1`
| ) |  |

See Also
  MetaObjectPrivate::addMethod()

MemberAddInfo qi::MetaObjectBuilder::addProperty | ( | const std::string & | name,
|  | const qi::Signature & | sig,
|  | int | id = `-1`
| ) |  |

See Also
  MetaObjectPrivate::addProperty()

MemberAddInfo qi::MetaObjectBuilder::addSignal | ( | const std::string & | name,
|  | const qi::Signature & | sig,
|  | int | id = `-1`
| ) |  |

See Also
  MetaObjectPrivate::addSignal()

qi::MetaObject qi::MetaObjectBuilder::metaObject | ( |  | ) |

void qi::MetaObjectBuilder::setDescription | ( | const std::string & | desc | ) |

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/metaobject.hpp